Ask Your Question
0

install tu-darmstadt-ros-pkg package?

asked 2012-03-22 19:08:40 -0500

genzo gravatar image

Hi,

I need help installing the "tu-darmstadt-ros-pkg" package or any of the stacks such as hector_slam, hector_mapping, etc within the package. I keep getting error: No Valid Packages or stacks listed as arguments. I used: rosdep install tu-darmsstadt-ros-pkg.

I would really appreciate for the help.

edit retag flag offensive close merge delete

Comments

Im sorry for the late response. but thanks a lot! It worked. I was be able to install the hector_mapping.

genzo gravatar image genzo  ( 2012-03-26 11:32:40 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
1

answered 2012-03-22 21:43:09 -0500

updated 2012-03-22 21:45:42 -0500

This is because we didn't do the necessary steps yet which are necessary to let our stacks get build and published as .debs via Willow Garage's build system. I'll have to check how that works, but with a major robotics competition coming up next week it'll probably be 2 weeks till I get to do it. You can always manually check out and build everything e.g. using

svn checkout http://tu-darmstadt-ros-pkg.googlecode.com/svn/trunk/ tu-darmstadt-ros-pkg-read-only

Note that the path of this checked out working copy has to be inside the ROS_PACKAGE_PATH as described here.

After performing the above steps, you should the be able to build packages using for example

rosmake hector_mapping
edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-03-22 19:08:40 -0500

Seen: 213 times

Last updated: Mar 22 '12